Compiler (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.common.util

## Class Compiler

- java.lang.Object
- - org.apache.cxf.common.util.Compiler

-     public class Compiler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Compiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addArgs​(List<String> list)` |
    `boolean` | `compileFiles​(File[] files)` |
    `boolean` | `compileFiles​(String[] files)` |
    `boolean` | `compileFiles​(List<File> files)` |
    `List<String>` | `getErrors()` |
    `List<String>` | `getWarnings()` |
    `boolean` | `internalCompile​(String[] args, int sourceFileIndex)` |
    `protected boolean` | `internalJava6Compile​(JavaCompiler compiler, JavaFileManager fileManager, DiagnosticListener<JavaFileObject> listener, Iterable<? extends JavaFileObject> fileList)` |
    `void` | `setClassPath​(String s)` |
    `void` | `setEncoding​(String string)` |
    `void` | `setMaxMemory​(long l)` |
    `void` | `setOutputDir​(File s)` |
    `void` | `setOutputDir​(String s)` |
    `void` | `setTarget​(String s)` |
    `protected DiagnosticListener<JavaFileObject>` | `setupDiagnosticListener()` |
    `void` | `setVerbose​(boolean b)` |
    `protected boolean` | `useJava6Compiler​(String[] files)` |
    `protected JavaFileManager` | `wrapJavaFileManager​(StandardJavaFileManager standardJavaFileManger)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Compiler

          public Compiler()

  - ### Method Detail

    - #### getErrors

          public List<String> getErrors()

    - #### getWarnings

          public List<String> getWarnings()

    - #### setMaxMemory

          public void setMaxMemory​(long l)

    - #### setVerbose

          public void setVerbose​(boolean b)

    - #### setTarget

          public void setTarget​(String s)

    - #### setOutputDir

          public void setOutputDir​(File s)

    - #### setOutputDir

          public void setOutputDir​(String s)

    - #### setClassPath

          public void setClassPath​(String s)

    - #### addArgs

          protected void addArgs​(List<String> list)

    - #### compileFiles

          public boolean compileFiles​(File[] files)

    - #### compileFiles

          public boolean compileFiles​(List<File> files)

    - #### compileFiles

          public boolean compileFiles​(String[] files)

    - #### useJava6Compiler

          protected boolean useJava6Compiler​(String[] files)

    - #### wrapJavaFileManager

          protected JavaFileManager wrapJavaFileManager​(StandardJavaFileManager standardJavaFileManger)

    - #### setupDiagnosticListener

          protected DiagnosticListener<JavaFileObject> setupDiagnosticListener()

    - #### internalJava6Compile

          protected boolean internalJava6Compile​(JavaCompiler compiler,
                                                 JavaFileManager fileManager,
                                                 DiagnosticListener<JavaFileObject> listener,
                                                 Iterable<? extends JavaFileObject> fileList)

    - #### internalCompile

          public boolean internalCompile​(String[] args,
                                         int sourceFileIndex)

    - #### setEncoding

          public void setEncoding​(String string)